Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction.nonxa
Interface NonXAResource

    public interface NonXAResource

This interface is provided to easily integrate resources that do not support the javax.transaction.xa.XAResource interface with the WL transaction manager. The transaction manager supports a variation of the Last Agent two-phase commit optimization that allows a non-XA resource to participate in a distributed transaction. The protocol issues a one-phase commit to the non-XA resource and uses the result of the operation to base the commit decision for the transaction.

The underlying resource must have local transaction semantics and support commit and rollback operations. Examples of such resources include non-XA JDBC drivers, JMS providers, and Connectors.

Method Summary
`void` | `commit(Xid xid, boolean onePhase)` Issues a one-phase commit on the resource connection associated with the transaction represented by the xid argument.
`boolean` | `isSameRM(NonXAResource nxar)` Returns true if the two NonXAResource instances represent the same logical resource.
`void` | `rollback(Xid xid)` Issues a rollback operation on the resource connection associated with the transaction represented by thee xid argument.

Method Detail

### commit

    void commit(Xid xid,
                boolean onePhase)
                throws NonXAException

  Issues a one-phase commit on the resource connection associated with the transaction represented by the xid argument.

  Throws:
    `NonXAException`

### rollback

    void rollback(Xid xid)
                  throws NonXAException

  Issues a rollback operation on the resource connection associated with the transaction represented by thee xid argument.

  Throws:
    `NonXAException`

### isSameRM

    boolean isSameRM(NonXAResource nxar)
                     throws NonXAException

  Returns true if the two NonXAResource instances represent the same logical resource.

  Throws:
    `NonXAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD